

#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D alphaTexture;
uniform float color_power;

void main() {
    
//    vec4 texColor = vec4(1,1,1,1); //texture2D(CC_Texture0, v_texCoord);// vec4(texture2D(CC_Texture0, v_texCoord).rgb, texture2D(CC_Texture1, v_texCoord).r);
    
//    texColor.a = texColor.a * v_fragmentColor.a;
//
//    texColor = texColor * color_power;
    vec4 texColor = texture2D(CC_Texture0,v_texCoord);
    float a = texColor.a * v_fragmentColor.a;
    vec4 alpha = vec4(a,a,a,a);

    vec2 texCoord = v_texCoord;

    float speed = CC_Time.r*color_power;

    float modv = mod(speed,1.0);
    texCoord.y -= modv;

    alpha.rgb *=  v_fragmentColor.rgb * texture2D(CC_Texture0,texCoord).rgb ;

    gl_FragColor = alpha;// vec4(modv,modv,modv,alpha.a);
}

