

#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D alphaTexture;
uniform float color_power;

//Blend mode : (src alpha ,one - src alpha)
void main() {
    
    vec2 texcoord = v_texCoord;
    
    vec4 texColor = vec4(1,1,1,1);
    
    texColor = texColor * color_power;
    
    vec4 alpha = texture2D(CC_Texture0,v_texCoord);
    texColor.a = alpha.r;
    gl_FragColor = texColor * v_fragmentColor;// vec4(alpha.r,alpha.r,alpha.r,alpha.r) ;// vec4(1,1,1,1); //texColor*v_color;
}

