

#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D alphaTexture;
uniform float color_power;

float _horAmount = 2.0;
float _verAmount = 2.0;

//Blend mode : (src alpha ,one - src alpha)
void main() {
    
    vec2 texcoord = v_texCoord;
    
    vec4 texColor = vec4(1,1,1,1);
    
    texColor = texColor * color_power;
    
    vec4 alpha = texture2D(CC_Texture0,v_texCoord);
    texColor.a = alpha.r;
    gl_FragColor = texColor * v_fragmentColor;
    
    /*
    float time = floor(CC_Time.g * color_power);
	float row = floor(time /_horAmount);                
	float column = time - row * _horAmount;             
	vec2 uv = v_texCoord + vec2(column,-row);           
	uv.x /= _horAmount;                                 
	uv.y /= _verAmount;                                 
	vec4 maskcolor = texture2D(CC_Texture0, uv);
    vec4 texcolor = texture2D(CC_Texture0, uv);
	texcolor = v_fragmentColor * texcolor;                     
    texcolor.a = maskcolor.r;
    gl_FragColor = texcolor;// vec4(uv.y,uv.y,uv.x,1);*/

}

