attribute vec4 a_position;  
attribute vec2 a_texCoord;  
  
#ifdef GL_ES  
varying mediump vec2 v_texCoord;  
varying mediump vec2 v_position;//将顶点的位置传给ps，用于计算该顶点与灯的距离  
#else  
varying vec2 v_texCoord;  
varying vec2 v_position;  
#endif  
  
void main()  
{  
    v_position = a_position.xy;  
    gl_Position = CC_PMatrix * a_position;  
    v_texCoord = a_texCoord;  
}  