#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_color;

uniform sampler2D tex0;

uniform float time;

uniform float screenRadio;

void main() {
    //vec4 color=texture2D(tex0, v_texCoord);

    vec4 color = vec4(0.0,0.0,0.0,1.0);
    vec2 v = v_texCoord;
    float x = v.x - 0.5;
    float y = (v.y - 0.5) * screenRadio;

    float r = 1.0 * (time * time + time);

    float blurDistance = min(r,0.1);
    float diff = r - blurDistance;

    vec4 circle = vec4(0.0,0.0,0.0,0.0);

    float test = sqrt( x*x + y*y);
    if ( r > test)
    {
        if (test > diff)
        {
            float diff2 = r - test;
            color = color * (1.0 - diff2/blurDistance);
        }else {
            color = circle;
        }
    }

    gl_FragColor= color;
}
