#ifdef GL_ES
precision mediump float;
//precision highp float;
#endif
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

varying vec4 v_normal1;

uniform sampler2D u_texture;

void main()
{
    //    Rs，Gs，Bs，As；
    //
    //    目标的RGBA：  Rd，Gd，Bd，Ad；
    //
    //    源的各个运算因子：  N_Rs，N_Gs，N_Bs，N_As；
    //
    //    目标的各个运算因子：   N_Rd，N_Gd，N_Bd，N_Ad；
    //
    //    混合后的RGBA为：(Rs*N_Rs+ Rd* N_Rd，Gs*N_Gs+ Gd* N_Gd，
    //
    //               Bs*N_Bs+ Bd* N_Bd，As*N_As+ Ad* N_Ad
    vec4 src_vec4 = texture2D(CC_Texture0, v_texCoord);
    vec4 det_vec4 = texture2D(u_texture, v_normal1.xy);//CC_Texture0

//    src_vec4.a = det_vec4.a;
//    gl_FragColor = src_vec4;

    det_vec4.a = src_vec4.a;
    det_vec4.rgb *= det_vec4.a;

    gl_FragColor = det_vec4;    //vec4(det_vec4.rgb, src_vec4.a); //
}
