

#ifdef GL_ES
precision mediump float;
#endif

varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform sampler2D alphaTexture;
uniform float color_power;

float forceX = 0.02;
float forceY = 0.02;
float heatTime = 1.0;
void main() {
	
	vec2 texCoord = v_texCoord;
//    vec4 offsetColor1 = texture2D(alphaTexture, texCoord + CC_Time.xz*heatTime);
//    vec4 offsetColor2 = texture2D(alphaTexture, texCoord + CC_Time.yx*heatTime);
//    texCoord.x += ((offsetColor1.r + offsetColor2.r) - 1.0) * forceX;
//    texCoord.y += ((offsetColor1.r + offsetColor2.r) - 1.0) * forceY;

    vec4 texColor = texture2D(CC_Texture0,texCoord);// vec4(1);
    vec4 alphaColor = texture2D(alphaTexture,texCoord);
    texColor.a = alphaColor.r;
    texColor = texColor * v_fragmentColor;

    gl_FragColor = texColor;
}

