attribute vec4 a_position;
attribute vec2 a_texCoord;
attribute vec4 a_color;

attribute vec4 a_texCoord2;

#ifdef GL_ES
varying lowp vec4 v_fragmentColor;
varying mediump vec2 v_texCoord;

varying mediump vec4 v_normal1;

#else
varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

varying vec4 v_normal1;
#endif

void main()
{
    gl_Position = CC_PMatrix * a_position;
    v_fragmentColor = a_color;
    v_texCoord = a_texCoord;

    v_normal1 = a_texCoord2;    
}
